package cn.iocoder.yudao.module.system.service.dishesraw;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.dishesraw.vo.DishesRawPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.dishesraw.vo.DishesRawSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.dishesraw.DishesRawDO;

import javax.validation.*;
import java.util.List;

/**
 * 菜品原材料 Service 接口
 *
 * @author 开发账号
 */
public interface DishesRawService {

    /**
     * 创建菜品原材料
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createDishesRaw(@Valid DishesRawSaveReqVO createReqVO);
    Long createDishesRawList(@Valid List<DishesRawSaveReqVO> createReqVO);

    /**
     * 更新菜品原材料
     *
     * @param updateReqVO 更新信息
     */
    void updateDishesRaw(@Valid DishesRawSaveReqVO updateReqVO);
    void updateDishesRawList(@Valid List<DishesRawSaveReqVO> updateReqVO);

    /**
     * 删除菜品原材料
     *
     * @param id 编号
     */
    void deleteDishesRaw(Long id);

    /**
     * 获得菜品原材料
     *
     * @param id 编号
     * @return 菜品原材料
     */
    DishesRawDO getDishesRaw(Long id);

    /**
     * 获得菜品原材料分页
     *
     * @param pageReqVO 分页查询
     * @return 菜品原材料分页
     */
    PageResult<DishesRawDO> getDishesRawPage(DishesRawPageReqVO pageReqVO);

}